Any help would be appreciated on installing the modem in Ubuntu. Note
that the modem does install correctly in other partitions (Windows
Vista) on the same machine)

I get the following error when I try to install a Zoom USB modem in Ubuntu:

cd /lib/modules/2.6.24-19-generic/build && make
"CNXT_KERNELSRC=/lib/modules/2.6.24-19-generic/build"
"M=/usr/lib/dgcmodem/modules" "CC=gcc" clean)
make[1]: Entering directory `/usr/src/linux-headers-2.6.24-19-generic'
make[1]: Leaving directory `/usr/src/linux-headers-2.6.24-19-generic'
rm -rf *.o GPL/*.o *.ko GPL/*.ko *.mod.c GPL/*.mod.c .*.cmd GPL/.*.cmd
..tmp_versions .tmp_versions
/lib/modules/2.6.24-19-generic/build/.tmp_versions/dgcusbdcp.mod
Modules.symvers GPL/hda/Modules.symvers
(cd /lib/modules/2.6.24-19-generic/build && make
"CNXT_KERNELSRC=/lib/modules/2.6.24-19-generic/build"
"M=/usr/lib/dgcmodem/modules" "CC=gcc" modules)
make[1]: Entering directory `/usr/src/linux-headers-2.6.24-19-generic'
scripts/Makefile.build:46: *** CFLAGS was changed in
"/usr/lib/dgcmodem/modules/Makefile". Fix it to use EXTRA_CFLAGS. Stop.
make[1]: *** [_module_/usr/lib/dgcmodem/modules] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.24-19-generic'
make: *** [all] Error 2

The installation instructions are as follows:
extract the driver file (tar -xzf dgcmodem-1.01)
cd dgcmodem-1.01
su (or sudo) make install
dgcconfig

As you can see from the Zoom tech response below, little help was
provided other than it should work if you follow the instructions.






******************
Summary: Install error in Ubuntu 8.04
Product Level 1: Dial-up Modems - V.92
Product Level 2: V.92 USB Mini (xxxx-56540F) Model 3095
Category Level 1: Configuration / Installation
Date Created: 07/31/2008 11:02 AM
Last Updated: 08/04/2008 01:02 AM
Status: Solved
Alternateemail:
Operating System: Linux - Other (specify in message)
Web Browser: Firefox
Place of Purchase: Micro Center

Discussion Thread
Response (Joel J.) 07/31/2008 11:58 AM
Hello.
Thank you for the opportunity to be of service.

If you followed the instructions to install the modem under a Linux OS
you should not have any problems, just make sure that the Kernel version
of your OS is 2.6.19 or later, just in case you need the drivers you can
download then from here http://www.zoom.com/techsupport/dial_up/3095F.shtml

Joel.
Customer (BJ Rugg) 07/31/2008 11:02 AM
I bought the Zoom USB 3095 modem last week to use on the road with a
laptop that will have Ubuntu loaded on it. I have installed the modem on
my desktop system in Vista and it installs ok. When I tried to install
it under Ubuntu on this desktop, I get the attached error message and
installation fails. I used the dgcmodem-1.01.tar.gz install on the CD
and procedures in the enclosed manual instructions.
I am not a Linux guru. Any help to finisgh the install would be
appreciated.
************************